DELETE
https://api.cryptohopper.com/v1/backtest/{id}/notes/{note_id}
Deletes one note from one of your backtests.
OAuth scope:
read manage About scopes
Requires an active subscription or trial; otherwise the request is refused with 403.
Example request
curl -X DELETE "https://api.cryptohopper.com/v1/backtest/BACKTEST_ID/notes/NOTE_ID" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/backtest/BACKTEST_ID/notes/NOTE_ID', {
method: 'DELETE',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.delete(
"https://api.cryptohopper.com/v1/backtest/BACKTEST_ID/notes/NOTE_ID",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/backtest/BACKTEST_ID/notes/NOTE_ID');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
note_id |
string | Required | Note ID, as returned by Get backtest notes. |
id |
string | Required | Backtest ID, as returned by List backtests. |
Response
{
"data": "Note deleted."
}